(function($dvt$$21$$) {
  function $DvtTimelineOverviewAutomation$$($dvt$$21$$) {
    this.$_overview$ = $dvt$$21$$;
  }
  function $DvtTimelineOverviewNode$$($dvt$$21$$, $props$$28$$) {
    this.Init($dvt$$21$$, $props$$28$$);
  }
  function $DvtTimelineOverviewParser$$($dvt$$21$$) {
    this.Init($dvt$$21$$);
  }
  function $DvtTimelineOverviewDefaults$$() {
    this.Init({alta:$DvtTimelineOverviewDefaults$$.$VERSION_1$});
  }
  $dvt$$21$$.$TimelineOverview$ = function $$dvt$$21$$$$TimelineOverview$$($dvt$$21$$, $callback$$180$$, $DvtTimelineOverviewDefaults$$) {
    this.Init($dvt$$21$$, $callback$$180$$, $DvtTimelineOverviewDefaults$$);
  };
  $dvt$$21$$.$Obj$.$createSubclass$($dvt$$21$$.$TimelineOverview$, $dvt$$21$$.$Overview$);
  $dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$ = "_";
  $dvt$$21$$.$TimelineOverview$.$HOVER_STATE$ = "_h";
  $dvt$$21$$.$TimelineOverview$.$SELECTED_STATE$ = "_s";
  $dvt$$21$$.$TimelineOverview$.$ACTIVE_SELECTED_STATE$ = "_as";
  $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$ = "bs";
  $dvt$$21$$.$TimelineOverview$.$BORDER_COLOR$ = "bc";
  $dvt$$21$$.$TimelineOverview$.$BORDER_WIDTH$ = "bw";
  $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_STYLE$ = "dbs";
  $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_COLOR$ = "dbc";
  $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_WIDTH$ = "dbw";
  $dvt$$21$$.$TimelineOverview$.$BORDER_OFFSET$ = "bof";
  $dvt$$21$$.$TimelineOverview$.$BORDER_OPACITY$ = "bo";
  $dvt$$21$$.$TimelineOverview$.$GLOW_COLOR$ = "gc";
  $dvt$$21$$.$TimelineOverview$.$GLOW_OPACITY$ = "go";
  $dvt$$21$$.$TimelineOverview$.$FILL_COLOR$ = "fc";
  $dvt$$21$$.$TimelineOverview$.newInstance = function $$dvt$$21$$$$TimelineOverview$$newInstance$($context$$459$$, $callback$$181$$, $DvtTimelineOverviewDefaults$$) {
    return new $dvt$$21$$.$TimelineOverview$($context$$459$$, $callback$$181$$, $DvtTimelineOverviewDefaults$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.Init = function $$dvt$$21$$$$TimelineOverview$$$Init$($colors$$4_context$$460$$, $callback$$182$$, $DvtTimelineOverviewDefaults$$) {
    $dvt$$21$$.$TimelineOverview$.$superclass$.Init.call(this, $colors$$4_context$$460$$, $callback$$182$$, $DvtTimelineOverviewDefaults$$);
    $colors$$4_context$$460$$ = [$dvt$$21$$.$ColorUtils$.$getPound$($dvt$$21$$.$ColorUtils$.$getBrighter$("#aadd77", .35)), "#aadd77", $dvt$$21$$.$ColorUtils$.$getPound$($dvt$$21$$.$ColorUtils$.$getDarker$("#aadd77", .5))];
    $dvt$$21$$.$OverviewUtils$.$supportsTouch$() && ($colors$$4_context$$460$$ = ["#aadd77"]);
    this.$_defColors$ = $colors$$4_context$$460$$;
    this.$_markerBorderFill$ = $dvt$$21$$.$SolidFill$.$invisibleFill$();
    this.$_markerSize$ = 12;
  };
  $dvt$$21$$.$Overview$.prototype.$initDefaults$ = function $$dvt$$21$$$$Overview$$$$initDefaults$$() {
    this.$Defaults$ = new $DvtTimelineOverviewDefaults$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$render$ = function $$dvt$$21$$$$TimelineOverview$$$$render$$($options$$406$$, $width$$166$$, $DvtTimelineOverviewDefaults$$) {
    "string" === typeof $options$$406$$ ? $dvt$$21$$.$TimelineOverview$.$superclass$.$render$.call(this, this.$_getConvertedOptions$($options$$406$$), $width$$166$$, $DvtTimelineOverviewDefaults$$) : $dvt$$21$$.$TimelineOverview$.$superclass$.$render$.call(this, $options$$406$$, $width$$166$$, $DvtTimelineOverviewDefaults$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$_getConvertedOptions$ = function $$dvt$$21$$$$TimelineOverview$$$$_getConvertedOptions$$($attributes$$4_xmlOptions$$) {
    var $options$$407$$ = {}, $DvtTimelineOverviewDefaults$$ = (new $dvt$$21$$.$XmlParser$(this.$getCtx$())).parse($attributes$$4_xmlOptions$$);
    $attributes$$4_xmlOptions$$ = $DvtTimelineOverviewDefaults$$.getAttributes();
    for (var $i$$706$$ = 0;$i$$706$$ < $attributes$$4_xmlOptions$$.length;$i$$706$$++) {
      var $attr$$23$$ = $attributes$$4_xmlOptions$$[$i$$706$$];
      $options$$407$$[$attr$$23$$.name] = $attr$$23$$.value;
    }
    for (var $DvtTimelineOverviewStyleUtils$$ = $DvtTimelineOverviewDefaults$$.$getChildNodes$(), $formattedTimeRanges_markers$$15_ticks$$ = [], $DvtTimelineOverviewParser$$ = $DvtTimelineOverviewStyleUtils$$[0].$getChildNodes$(), $i$$706$$ = 0;$i$$706$$ < $DvtTimelineOverviewParser$$.length;$i$$706$$++) {
      var $marker$$20_tick$$1$$ = {};
      $attributes$$4_xmlOptions$$ = $DvtTimelineOverviewParser$$[$i$$706$$].getAttributes();
      for ($DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < $attributes$$4_xmlOptions$$.length;$DvtTimelineOverviewDefaults$$++) {
        $attr$$23$$ = $attributes$$4_xmlOptions$$[$DvtTimelineOverviewDefaults$$], $marker$$20_tick$$1$$[$attr$$23$$.name] = $attr$$23$$.value;
      }
      $formattedTimeRanges_markers$$15_ticks$$.push($marker$$20_tick$$1$$);
    }
    $options$$407$$.axisTicks = $formattedTimeRanges_markers$$15_ticks$$;
    $formattedTimeRanges_markers$$15_ticks$$ = [];
    $DvtTimelineOverviewParser$$ = $DvtTimelineOverviewStyleUtils$$[1].$getChildNodes$();
    for ($i$$706$$ = 0;$i$$706$$ < $DvtTimelineOverviewParser$$.length;$i$$706$$++) {
      $marker$$20_tick$$1$$ = {};
      $attributes$$4_xmlOptions$$ = $DvtTimelineOverviewParser$$[$i$$706$$].getAttributes();
      for ($DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < $attributes$$4_xmlOptions$$.length;$DvtTimelineOverviewDefaults$$++) {
        $attr$$23$$ = $attributes$$4_xmlOptions$$[$DvtTimelineOverviewDefaults$$], $marker$$20_tick$$1$$[$attr$$23$$.name] = $attr$$23$$.value;
      }
      $formattedTimeRanges_markers$$15_ticks$$.push($marker$$20_tick$$1$$);
    }
    $options$$407$$.markers = $formattedTimeRanges_markers$$15_ticks$$;
    if (2 < $DvtTimelineOverviewStyleUtils$$.length) {
      $formattedTimeRanges_markers$$15_ticks$$ = [];
      $DvtTimelineOverviewStyleUtils$$ = $DvtTimelineOverviewStyleUtils$$[2].$getChildNodes$();
      for ($i$$706$$ = 0;$i$$706$$ < $DvtTimelineOverviewStyleUtils$$.length;$i$$706$$++) {
        $DvtTimelineOverviewParser$$ = {};
        $attributes$$4_xmlOptions$$ = $DvtTimelineOverviewStyleUtils$$[$i$$706$$].getAttributes();
        for ($DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < $attributes$$4_xmlOptions$$.length;$DvtTimelineOverviewDefaults$$++) {
          $attr$$23$$ = $attributes$$4_xmlOptions$$[$DvtTimelineOverviewDefaults$$], $DvtTimelineOverviewParser$$[$attr$$23$$.name] = $attr$$23$$.value;
        }
        $formattedTimeRanges_markers$$15_ticks$$.push($DvtTimelineOverviewParser$$);
      }
      $options$$407$$.formattedTimeRanges = $formattedTimeRanges_markers$$15_ticks$$;
    }
    return $options$$407$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getParser$ = function $$dvt$$21$$$$TimelineOverview$$$$getParser$$() {
    return new $DvtTimelineOverviewParser$$(this);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$_applyParsedProperties$ = function $$dvt$$21$$$$TimelineOverview$$$$_applyParsedProperties$$($_eOffset_borderOpacity_props$$25$$) {
    $dvt$$21$$.$TimelineOverview$.$superclass$.$_applyParsedProperties$.call(this, $_eOffset_borderOpacity_props$$25$$);
    this.$_selectionMode$ = $_eOffset_borderOpacity_props$$25$$.$selectionMode$;
    this.$_markers$ = $_eOffset_borderOpacity_props$$25$$.$markers$;
    this.$_seriesIds$ = $_eOffset_borderOpacity_props$$25$$.$seriesIds$;
    this.$_defaultMarkerStyles$ = $_eOffset_borderOpacity_props$$25$$.$defaultMarkerStyles$;
    this.$_borderStyles$ = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerBorderStyles$(this.$Options$);
    this.$_durationColors$ = $dvt$$21$$.$CSSStyle$.$COLORS_ALTA$;
    $_eOffset_borderOpacity_props$$25$$.$labelStyle$ && (this.$_labelStyle$ = new $dvt$$21$$.$CSSStyle$($_eOffset_borderOpacity_props$$25$$.$labelStyle$));
    $_eOffset_borderOpacity_props$$25$$ = "solid" == this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$) ? parseInt(this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_OFFSET$), 10) : 1;
    var $_asOffset$$ = "solid" == this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ACTIVE_SELECTED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$) ? parseInt(this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ACTIVE_SELECTED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_OFFSET$), 10) : 1, $DvtTimelineOverviewDefaults$$ = "solid" == this.$getStyle$($dvt$$21$$.$TimelineOverview$.$SELECTED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$) ? parseInt(this.$getStyle$($dvt$$21$$.$TimelineOverview$.$SELECTED_STATE$, 
    $dvt$$21$$.$TimelineOverview$.$BORDER_OFFSET$), 10) : 1;
    this.$_markerSpacingOffset$ = this.$isItemSelectionEnabled$() ? Math.max($_asOffset$$, $DvtTimelineOverviewDefaults$$, $_eOffset_borderOpacity_props$$25$$, 1) / 2 + 1 : 1;
    this.$_defOpacity$ = this.$isVertical$() ? 0 : .75;
    this.$_defAlphas$ = [this.$_defOpacity$, this.$_defOpacity$, this.$_defOpacity$];
    this.$_radialFill$ = new $dvt$$21$$.$LinearGradientFill$(250, this.$_defColors$, this.$_defAlphas$);
    this.$_linearFill$ = new $dvt$$21$$.$LinearGradientFill$(180, this.$_defColors$, this.$_defAlphas$);
    $_eOffset_borderOpacity_props$$25$$ = this.$isVertical$() ? 0 : 1;
    this.$_border$ = new $dvt$$21$$.$SolidStroke$("#aadd77", $_eOffset_borderOpacity_props$$25$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getSeriesIds$ = function $$dvt$$21$$$$TimelineOverview$$$$getSeriesIds$$() {
    return null == this.$_seriesIds$ ? null : this.$_seriesIds$.split(" ");
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$addLabel$ = function $$dvt$$21$$$$TimelineOverview$$$$addLabel$$($pos$$82$$, $text$$83$$, $DvtTimelineOverviewDefaults$$, $height$$136$$, $maxWidth$$26$$, $DvtTimelineOverviewStyleUtils$$) {
    $dvt$$21$$.$TimelineOverview$.$superclass$.$addLabel$.call(this, $pos$$82$$, $text$$83$$, $DvtTimelineOverviewDefaults$$, $height$$136$$, $maxWidth$$26$$, $DvtTimelineOverviewStyleUtils$$, this.$_labelStyle$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$isItemSelectionEnabled$ = function $$dvt$$21$$$$TimelineOverview$$$$isItemSelectionEnabled$$() {
    return "none" != this.$_selectionMode$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getDrawableById$ = function $$dvt$$21$$$$TimelineOverview$$$$getDrawableById$$($dvt$$21$$) {
    var $drawableId$$1$$ = "_mrk_" + $dvt$$21$$;
    $dvt$$21$$ = "_drn_" + $dvt$$21$$;
    for (var $DvtTimelineOverviewDefaults$$ = this.$getNumChildren$(), $childIndex$$9$$ = 0;$childIndex$$9$$ < $DvtTimelineOverviewDefaults$$;$childIndex$$9$$++) {
      var $drawable$$7$$ = this.$getChildAt$($childIndex$$9$$);
      if (null != $drawable$$7$$ && ($drawableId$$1$$ == $drawable$$7$$.getId() || $dvt$$21$$ == $drawable$$7$$.getId())) {
        return $drawable$$7$$;
      }
    }
    return null;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getItemId$ = function $$dvt$$21$$$$TimelineOverview$$$$getItemId$$($dvt$$21$$) {
    return $dvt$$21$$.getId().substr(5);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getStyle$ = function $$dvt$$21$$$$TimelineOverview$$$$getStyle$$($dvt$$21$$, $style$$126$$) {
    return this.$_borderStyles$[$dvt$$21$$ + $style$$126$$];
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getX$ = function $$dvt$$21$$$$TimelineOverview$$$$getX$$($dvt$$21$$) {
    return null != $dvt$$21$$.$_node$ ? $dvt$$21$$.$_node$.$getX$() : $dvt$$21$$.$getMatrix$().$_tx$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getY$ = function $$dvt$$21$$$$TimelineOverview$$$$getY$$($dvt$$21$$) {
    return null != $dvt$$21$$.$_node$ ? $dvt$$21$$.$_node$.$getY$() : $dvt$$21$$.$getMatrix$().$_ty$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getScaleX$ = function $$dvt$$21$$$$TimelineOverview$$$$getScaleX$$($dvt$$21$$) {
    $dvt$$21$$ = $dvt$$21$$.$getScaleX$();
    null == $dvt$$21$$ && ($dvt$$21$$ = this.$isVertical$() ? (this.$Width$ - this.$getTimeAxisWidth$() - 4) / 2 : 1);
    return $dvt$$21$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getScaleY$ = function $$dvt$$21$$$$TimelineOverview$$$$getScaleY$$($dvt$$21$$) {
    $dvt$$21$$ = $dvt$$21$$.$getScaleY$();
    null == $dvt$$21$$ && ($dvt$$21$$ = 1);
    return $dvt$$21$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$parseDataXML$ = function $$dvt$$21$$$$TimelineOverview$$$$parseDataXML$$($width$$168$$, $height$$137$$) {
    $dvt$$21$$.$TimelineOverview$.$superclass$.$parseDataXML$.call(this, $width$$168$$, $height$$137$$);
    if (null != this.$_markers$) {
      for (var $DvtTimelineOverviewDefaults$$ = this.$calculateOptimalSize$(this.$_start$, this.$_end$, $width$$168$$, $height$$137$$, this.$_markerSize$), $durationMarkers$$ = [], $j$$106$$ = 0;$j$$106$$ < this.$_markers$.length;$j$$106$$++) {
        var $DvtTimelineOverviewStyleUtils$$ = this.$_markers$[$j$$106$$];
        null == $DvtTimelineOverviewStyleUtils$$.$_endTime$ ? this.$addMarker$($DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewDefaults$$) : $durationMarkers$$[$durationMarkers$$.length] = $DvtTimelineOverviewStyleUtils$$;
      }
      this.$prepareDurations$($durationMarkers$$);
      this.$addDurations$($durationMarkers$$);
      this.$_markerSize$ = $DvtTimelineOverviewDefaults$$;
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$prepareDurations$ = function $$dvt$$21$$$$TimelineOverview$$$$prepareDurations$$($dvt$$21$$) {
    this.$_maxDurationY$ = 0;
    var $markerSeries$$ = null;
    null == this.$_durationColorMap$ && (this.$_durationColorMap$ = {});
    for (var $DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < $dvt$$21$$.length;$DvtTimelineOverviewDefaults$$++) {
      var $marker$$22$$ = $dvt$$21$$[$DvtTimelineOverviewDefaults$$], $id$$232$$ = $marker$$22$$.getId(), $DvtTimelineOverviewStyleUtils$$ = $id$$232$$.substring($id$$232$$.indexOf(":") + 1, $id$$232$$.length), $DvtTimelineOverviewStyleUtils$$ = $DvtTimelineOverviewStyleUtils$$.substring(0, $DvtTimelineOverviewStyleUtils$$.indexOf(":"));
      $DvtTimelineOverviewStyleUtils$$ != $markerSeries$$ && (this.$_colorCount$ = 0, $markerSeries$$ = $DvtTimelineOverviewStyleUtils$$);
      $marker$$22$$.$_durationLevel$ = this.$calculateDurationY$($marker$$22$$, $dvt$$21$$);
      null == $marker$$22$$.$_durationFillColor$ && (null == this.$_durationColorMap$[$id$$232$$] ? (this.$_durationColorMap$[$id$$232$$] = this.$_colorCount$, $marker$$22$$.$_durationFillColor$ = this.$_durationColors$[this.$_colorCount$], this.$_colorCount$++, this.$_colorCount$ == this.$_durationColors$.length && (this.$_colorCount$ = 0)) : $marker$$22$$.$_durationFillColor$ = this.$_durationColors$[this.$_durationColorMap$[$id$$232$$]]);
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getDurationColorMap$ = function $$dvt$$21$$$$TimelineOverview$$$$getDurationColorMap$$() {
    return this.$_durationColorMap$ ? this.$_durationColorMap$ : null;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$calculateOptimalSize$ = function $$dvt$$21$$$$TimelineOverview$$$$calculateOptimalSize$$($start$$55$$, $end$$37$$, $DvtTimelineOverviewDefaults$$, $height$$138$$, $size$$41$$) {
    for (var $DvtTimelineOverviewStyleUtils$$ = {max:1, $arr$:[]}, $canvasSize$$1$$ = this.$isVertical$() ? $height$$138$$ : $DvtTimelineOverviewDefaults$$, $DvtTimelineOverviewParser$$ = 0;$DvtTimelineOverviewParser$$ < this.$_markers$.length;$DvtTimelineOverviewParser$$++) {
      var $marker$$23$$ = this.$_markers$[$DvtTimelineOverviewParser$$];
      if (null != $marker$$23$$.$_endTime$) {
        var $x$$234$$ = $dvt$$21$$.$OverviewUtils$.$getDatePosition$($start$$55$$, $end$$37$$, $marker$$23$$.getTime(), $canvasSize$$1$$);
        this.$isHorizontalRTL$() && ($x$$234$$ = $canvasSize$$1$$ - $x$$234$$);
        $marker$$23$$.$setX$($x$$234$$);
      } else {
        if (this.$calculateSize$($marker$$23$$, $start$$55$$, $end$$37$$, $canvasSize$$1$$, $size$$41$$ / 2, $DvtTimelineOverviewStyleUtils$$, $height$$138$$), $DvtTimelineOverviewStyleUtils$$.max > $height$$138$$) {
          break;
        }
      }
    }
    return $DvtTimelineOverviewStyleUtils$$.max > $height$$138$$ && 1 < $size$$41$$ ? this.$calculateOptimalSize$($start$$55$$, $end$$37$$, $DvtTimelineOverviewDefaults$$, $height$$138$$, $size$$41$$ - 1) : $size$$41$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$addMarker$ = function $$dvt$$21$$$$TimelineOverview$$$$addMarker$$($node$$300$$, $sz$$) {
    var $DvtTimelineOverviewDefaults$$ = "_mrk_" + $node$$300$$.getId(), $color$$71_count$$28_stroke$$102$$ = $node$$300$$.$getColor$(), $fill$$64_isGradient$$ = $node$$300$$.$_gradient$, $DvtTimelineOverviewStyleUtils$$ = $node$$300$$.$getOpacity$();
    null == $DvtTimelineOverviewStyleUtils$$ && ($DvtTimelineOverviewStyleUtils$$ = this.$_defOpacity$, 0 == $DvtTimelineOverviewStyleUtils$$ && null != $color$$71_count$$28_stroke$$102$$ && ($DvtTimelineOverviewStyleUtils$$ = 1));
    var $colors$$5_lighter_scaleX$$6_width$$170$$ = this.$getScaleX$($node$$300$$), $DvtTimelineOverviewParser$$ = this.$getScaleY$($node$$300$$), $marker$$24$$ = $node$$300$$.$getShape$();
    if (this.$isVertical$()) {
      var $marker$$24$$ = $dvt$$21$$.$SimpleMarker$.$RECTANGLE$, $colors$$5_lighter_scaleX$$6_width$$170$$ = 2 * $colors$$5_lighter_scaleX$$6_width$$170$$, $DvtTimelineOverviewParser$$ = 2 * $DvtTimelineOverviewParser$$, $cx$$34$$ = $node$$300$$.$getY$() + $colors$$5_lighter_scaleX$$6_width$$170$$ / 2, $cy$$35$$ = $node$$300$$.$getX$() + $DvtTimelineOverviewParser$$ / 2
    } else {
      $colors$$5_lighter_scaleX$$6_width$$170$$ *= $sz$$, $DvtTimelineOverviewParser$$ *= $sz$$, $cx$$34$$ = $node$$300$$.$getX$() + $colors$$5_lighter_scaleX$$6_width$$170$$ / 2, $cy$$35$$ = $node$$300$$.$getY$() + $DvtTimelineOverviewParser$$ / 2;
    }
    $DvtTimelineOverviewDefaults$$ = new $dvt$$21$$.$SimpleMarker$(this.$getCtx$(), $marker$$24$$, null, $cx$$34$$, $cy$$35$$, $colors$$5_lighter_scaleX$$6_width$$170$$, $DvtTimelineOverviewParser$$, null, null, null, $DvtTimelineOverviewDefaults$$);
    $DvtTimelineOverviewDefaults$$.$_node$ = $node$$300$$;
    null == $color$$71_count$$28_stroke$$102$$ && $DvtTimelineOverviewStyleUtils$$ == this.$_defOpacity$ && null == $fill$$64_isGradient$$ ? ($fill$$64_isGradient$$ = $marker$$24$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$ ? this.$_radialFill$ : this.$_linearFill$, $color$$71_count$$28_stroke$$102$$ = this.$_border$) : ($colors$$5_lighter_scaleX$$6_width$$170$$ = this.$_defColors$, null != $color$$71_count$$28_stroke$$102$$ && ($dvt$$21$$.$OverviewUtils$.$supportsTouch$() ? $colors$$5_lighter_scaleX$$6_width$$170$$ = 
    [$color$$71_count$$28_stroke$$102$$] : ($colors$$5_lighter_scaleX$$6_width$$170$$ = $dvt$$21$$.$ColorUtils$.$getBrighter$($color$$71_count$$28_stroke$$102$$, .5), $DvtTimelineOverviewParser$$ = $dvt$$21$$.$ColorUtils$.$getDarker$($color$$71_count$$28_stroke$$102$$, .5), $colors$$5_lighter_scaleX$$6_width$$170$$ = [$colors$$5_lighter_scaleX$$6_width$$170$$, $color$$71_count$$28_stroke$$102$$, $DvtTimelineOverviewParser$$])), $DvtTimelineOverviewParser$$ = [$DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewStyleUtils$$, 
    $DvtTimelineOverviewStyleUtils$$], $fill$$64_isGradient$$ = null == $fill$$64_isGradient$$ ? $marker$$24$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$ ? new $dvt$$21$$.$LinearGradientFill$(250, $colors$$5_lighter_scaleX$$6_width$$170$$, $DvtTimelineOverviewParser$$) : new $dvt$$21$$.$LinearGradientFill$(180, $colors$$5_lighter_scaleX$$6_width$$170$$, $DvtTimelineOverviewParser$$) : new $dvt$$21$$.$SolidFill$($color$$71_count$$28_stroke$$102$$, $DvtTimelineOverviewParser$$[0]), $color$$71_count$$28_stroke$$102$$ = 
    new $dvt$$21$$.$SolidStroke$($color$$71_count$$28_stroke$$102$$, $DvtTimelineOverviewStyleUtils$$));
    $DvtTimelineOverviewDefaults$$.$setFill$($fill$$64_isGradient$$);
    $DvtTimelineOverviewDefaults$$.$setStroke$($color$$71_count$$28_stroke$$102$$);
    this.$isItemSelectionEnabled$() && $DvtTimelineOverviewDefaults$$.$setSelectable$(!0);
    $color$$71_count$$28_stroke$$102$$ = this.$getNumChildren$();
    $DvtTimelineOverviewStyleUtils$$ = this.$getChildAt$($color$$71_count$$28_stroke$$102$$ - 1);
    $color$$71_count$$28_stroke$$102$$ > this.$_lastChildIndex$ && ("tb" == $DvtTimelineOverviewStyleUtils$$.getId() || "arr" == $DvtTimelineOverviewStyleUtils$$.getId()) ? this.$addChildAt$($DvtTimelineOverviewDefaults$$, $color$$71_count$$28_stroke$$102$$ - this.$_lastChildIndex$) : this.$addChild$($DvtTimelineOverviewDefaults$$);
    $node$$300$$.$setDisplayable$($DvtTimelineOverviewDefaults$$);
    this.$applyState$($DvtTimelineOverviewDefaults$$, $dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$);
    !this.$isVertical$() && $marker$$24$$ != $dvt$$21$$.$SimpleMarker$.$RECTANGLE$ && $marker$$24$$ != $dvt$$21$$.$SimpleMarker$.$DIAMOND$ && $marker$$24$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_UP$ && $marker$$24$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_DOWN$ && $marker$$24$$ != $dvt$$21$$.$SimpleMarker$.$PLUS$ || "false" == this.$_defaultMarkerStyles$.$pixelHinting$ || $DvtTimelineOverviewDefaults$$.$setPixelHinting$();
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$addDurations$ = function $$dvt$$21$$$$TimelineOverview$$$$addDurations$$($durationMarkers$$2$$) {
    for (var $context$$461$$ = this.$getCtx$(), $DvtTimelineOverviewDefaults$$ = this.$_maxDurationY$;0 < $DvtTimelineOverviewDefaults$$;$DvtTimelineOverviewDefaults$$--) {
      for (var $j$$107$$ = 0;$j$$107$$ < $durationMarkers$$2$$.length;$j$$107$$++) {
        var $node$$301$$ = $durationMarkers$$2$$[$j$$107$$];
        if ($DvtTimelineOverviewDefaults$$ == $node$$301$$.$_durationLevel$) {
          var $DvtTimelineOverviewStyleUtils$$ = $dvt$$21$$.$OverviewUtils$.$getDatePosition$(this.$_start$, this.$_end$, $node$$301$$.getTime(), this.$isVertical$() ? this.$Height$ : this.$Width$), $durationId$$2_feelerStroke$$1$$ = "_drn_" + $node$$301$$.getId(), $DvtTimelineOverviewParser$$ = 9 + 5 * $node$$301$$.$_durationLevel$, $x2$$48$$ = $dvt$$21$$.$OverviewUtils$.$getDatePosition$(this.$_start$, this.$_end$, $node$$301$$.$getEndTime$(), this.$isVertical$() ? this.$Height$ : this.$Width$), 
          $DvtTimelineOverviewStyleUtils$$ = this.$isVertical$() ? this.$isRTL$() ? new $dvt$$21$$.Rect($context$$461$$, 0, $DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewParser$$, $x2$$48$$ - $DvtTimelineOverviewStyleUtils$$, $durationId$$2_feelerStroke$$1$$) : new $dvt$$21$$.Rect($context$$461$$, this.$Width$ - $DvtTimelineOverviewParser$$, $DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewParser$$, $x2$$48$$ - $DvtTimelineOverviewStyleUtils$$, $durationId$$2_feelerStroke$$1$$) : this.$isRTL$() ? 
          new $dvt$$21$$.Rect($context$$461$$, this.$Width$ - $x2$$48$$, this.$Height$ - $DvtTimelineOverviewParser$$ - 20, $x2$$48$$ - $DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewParser$$, $durationId$$2_feelerStroke$$1$$) : new $dvt$$21$$.Rect($context$$461$$, $DvtTimelineOverviewStyleUtils$$, this.$Height$ - $DvtTimelineOverviewParser$$ - 20, $x2$$48$$ - $DvtTimelineOverviewStyleUtils$$, $DvtTimelineOverviewParser$$, $durationId$$2_feelerStroke$$1$$);
          $DvtTimelineOverviewStyleUtils$$.$setFill$(new $dvt$$21$$.$SolidFill$($node$$301$$.$_durationFillColor$));
          $durationId$$2_feelerStroke$$1$$ = new $dvt$$21$$.$SolidStroke$(this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$, $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_COLOR$), 1, 1);
          $DvtTimelineOverviewStyleUtils$$.$setStroke$($durationId$$2_feelerStroke$$1$$);
          $DvtTimelineOverviewStyleUtils$$.$setPixelHinting$();
          $DvtTimelineOverviewStyleUtils$$.$_node$ = $node$$301$$;
          this.$addChild$($DvtTimelineOverviewStyleUtils$$);
          $node$$301$$.$_durationBar$ = $DvtTimelineOverviewStyleUtils$$;
          $node$$301$$.$_durationY$ = $DvtTimelineOverviewParser$$ - 2;
        }
      }
    }
    this.removeChild(this.$_timeAxisTopBar$);
    this.$addChild$(this.$_timeAxisTopBar$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$calculateSize$ = function $$dvt$$21$$$$TimelineOverview$$$$calculateSize$$($node$$302$$, $cx$$35_start$$56$$, $DvtTimelineOverviewDefaults$$, $cy$$36_size$$42$$, $borderOffset_hsz$$, $DvtTimelineOverviewStyleUtils$$, $maxHeight$$15$$) {
    var $DvtTimelineOverviewParser$$ = $borderOffset_hsz$$ * this.$getScaleX$($node$$302$$) + this.$_markerSpacingOffset$, $hszy$$ = $borderOffset_hsz$$ * this.$getScaleY$($node$$302$$) + this.$_markerSpacingOffset$;
    $cx$$35_start$$56$$ = $dvt$$21$$.$OverviewUtils$.$getDatePosition$($cx$$35_start$$56$$, $DvtTimelineOverviewDefaults$$, $node$$302$$.getTime(), $cy$$36_size$$42$$);
    this.$isHorizontalRTL$() && ($cx$$35_start$$56$$ = $cy$$36_size$$42$$ - $cx$$35_start$$56$$ - 2 * $DvtTimelineOverviewParser$$);
    if (this.$isVertical$()) {
      $borderOffset_hsz$$ = 0, "solid" == this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$) && ($borderOffset_hsz$$ = parseInt(this.$getStyle$($dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$, $dvt$$21$$.$TimelineOverview$.$BORDER_WIDTH$), 10)), $cy$$36_size$$42$$ = this.$isRTL$() ? $borderOffset_hsz$$ + 4 : this.$Width$ - 2 * this.$getScaleX$($node$$302$$) - $borderOffset_hsz$$ - 4;
    } else {
      $cy$$36_size$$42$$ = 3;
      this.$isOverviewAbove$() && ($cy$$36_size$$42$$ += this.$getTimeAxisHeight$());
      var $maxy$$ = 0;
      $DvtTimelineOverviewDefaults$$ = [];
      for (var $i$$710$$ = 0;$i$$710$$ < $DvtTimelineOverviewStyleUtils$$.$arr$.length;$i$$710$$++) {
        var $obj$$246_prevMarker$$ = $DvtTimelineOverviewStyleUtils$$.$arr$[$i$$710$$], $DvtTimelineOverviewNode$$ = $obj$$246_prevMarker$$.$getX$(), $prevScaleX$$ = this.$getScaleX$($obj$$246_prevMarker$$);
        Math.abs($cx$$35_start$$56$$ - $DvtTimelineOverviewNode$$) < $borderOffset_hsz$$ * $prevScaleX$$ + this.$_markerSpacingOffset$ + $DvtTimelineOverviewParser$$ && $DvtTimelineOverviewDefaults$$.push($obj$$246_prevMarker$$);
      }
      for ($i$$710$$ = 0;$i$$710$$ < $DvtTimelineOverviewDefaults$$.length;$i$$710$$++) {
        if ($obj$$246_prevMarker$$ = this.$calculateY$($DvtTimelineOverviewDefaults$$, $node$$302$$.$getShape$(), $cx$$35_start$$56$$, $cy$$36_size$$42$$, $DvtTimelineOverviewParser$$, $hszy$$, $maxy$$, $borderOffset_hsz$$, $maxHeight$$15$$), $maxy$$ = $obj$$246_prevMarker$$.maxy, $obj$$246_prevMarker$$.cy == $cy$$36_size$$42$$) {
          $cy$$36_size$$42$$ = $obj$$246_prevMarker$$.cy;
          break;
        } else {
          $cy$$36_size$$42$$ = $obj$$246_prevMarker$$.cy;
        }
      }
    }
    $node$$302$$.$setX$($cx$$35_start$$56$$);
    $node$$302$$.$setY$($cy$$36_size$$42$$);
    $DvtTimelineOverviewStyleUtils$$.$arr$.push($node$$302$$);
    $maxy$$ > $DvtTimelineOverviewStyleUtils$$.max && ($DvtTimelineOverviewStyleUtils$$.max = $maxy$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$calculateY$ = function $$dvt$$21$$$$TimelineOverview$$$$calculateY$$($overlappingMarkers$$1$$, $shape$$85$$, $DvtTimelineOverviewDefaults$$, $cy$$37$$, $hszx$$1$$, $DvtTimelineOverviewStyleUtils$$, $maxy$$1$$, $DvtTimelineOverviewParser$$, $maxHeight$$16$$) {
    for (var $i$$711$$ = 0;$i$$711$$ < $overlappingMarkers$$1$$.length;$i$$711$$++) {
      var $prevMarker$$1_prevScaleY$$ = $overlappingMarkers$$1$$[$i$$711$$], $prevX$$3_xDist$$1$$ = $prevMarker$$1_prevScaleY$$.$getX$(), $DvtTimelineOverviewNode$$ = $prevMarker$$1_prevScaleY$$.$getY$(), $prevShape$$ = $prevMarker$$1_prevScaleY$$.$getShape$(), $height$$140_minDist$$1_prevScaleX$$1$$ = this.$getScaleX$($prevMarker$$1_prevScaleY$$), $prevMarker$$1_prevScaleY$$ = this.$getScaleY$($prevMarker$$1_prevScaleY$$);
      $shape$$85$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$ && $prevShape$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$ && $hszx$$1$$ == $DvtTimelineOverviewStyleUtils$$ && $height$$140_minDist$$1_prevScaleX$$1$$ == $prevMarker$$1_prevScaleY$$ ? ($prevX$$3_xDist$$1$$ = Math.abs($DvtTimelineOverviewDefaults$$ - $prevX$$3_xDist$$1$$), $height$$140_minDist$$1_prevScaleX$$1$$ = $DvtTimelineOverviewParser$$ * $height$$140_minDist$$1_prevScaleX$$1$$ + this.$_markerSpacingOffset$ + $hszx$$1$$, $height$$140_minDist$$1_prevScaleX$$1$$ = 
      Math.sqrt($height$$140_minDist$$1_prevScaleX$$1$$ * $height$$140_minDist$$1_prevScaleX$$1$$ - $prevX$$3_xDist$$1$$ * $prevX$$3_xDist$$1$$)) : $height$$140_minDist$$1_prevScaleX$$1$$ = $DvtTimelineOverviewParser$$ * $prevMarker$$1_prevScaleY$$ + this.$_markerSpacingOffset$ + $DvtTimelineOverviewStyleUtils$$;
      if ($height$$140_minDist$$1_prevScaleX$$1$$ > Math.abs($cy$$37$$ - $DvtTimelineOverviewNode$$) && ($cy$$37$$ = $DvtTimelineOverviewNode$$ + $height$$140_minDist$$1_prevScaleX$$1$$, $maxy$$1$$ = Math.max($maxy$$1$$, $cy$$37$$ + $height$$140_minDist$$1_prevScaleX$$1$$), 1 <= $DvtTimelineOverviewParser$$ && void 0 != $maxHeight$$16$$ && $maxy$$1$$ > $maxHeight$$16$$)) {
        break;
      }
    }
    return {cy:$cy$$37$$, maxy:$maxy$$1$$};
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$calculateDurationY$ = function $$dvt$$21$$$$TimelineOverview$$$$calculateDurationY$$($dvt$$21$$, $durationMarkers$$3$$) {
    var $DvtTimelineOverviewDefaults$$ = $durationMarkers$$3$$.length, $startTime$$32$$ = $dvt$$21$$.getTime(), $y$$208$$ = $dvt$$21$$.$_durationLevel$;
    null == $y$$208$$ && ($y$$208$$ = 1);
    for (var $DvtTimelineOverviewStyleUtils$$ = 0;$DvtTimelineOverviewStyleUtils$$ < $DvtTimelineOverviewDefaults$$;$DvtTimelineOverviewStyleUtils$$++) {
      var $currItem$$2_curry$$ = $durationMarkers$$3$$[$DvtTimelineOverviewStyleUtils$$];
      if ($currItem$$2_curry$$ != $dvt$$21$$) {
        var $DvtTimelineOverviewParser$$ = $currItem$$2_curry$$.$getEndTime$();
        if (null != $DvtTimelineOverviewParser$$) {
          var $currStartTime$$1$$ = $currItem$$2_curry$$.getTime(), $currItem$$2_curry$$ = $currItem$$2_curry$$.$_durationLevel$;
          null == $currItem$$2_curry$$ && ($currItem$$2_curry$$ = 1);
          $startTime$$32$$ >= $currStartTime$$1$$ && $startTime$$32$$ <= $DvtTimelineOverviewParser$$ && $y$$208$$ == $currItem$$2_curry$$ && ($y$$208$$ = $currItem$$2_curry$$ + 1, $dvt$$21$$.$_durationLevel$ = $y$$208$$, $y$$208$$ = this.$calculateDurationY$($dvt$$21$$, $durationMarkers$$3$$));
        }
      }
    }
    $y$$208$$ > this.$_maxDurationY$ && (this.$_maxDurationY$ = $y$$208$$);
    return $y$$208$$;
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$HandleShapeMouseOver$ = function $$dvt$$21$$$$TimelineOverview$$$$HandleShapeMouseOver$$($event$$593_isSelected$$3_itemId$$5$$) {
    var $drawable$$11$$ = $dvt$$21$$.$TimelineOverview$.$superclass$.$HandleShapeMouseOver$.call(this, $event$$593_isSelected$$3_itemId$$5$$);
    if (null != $drawable$$11$$) {
      if (null != $drawable$$11$$.$_node$) {
        var $DvtTimelineOverviewDefaults$$ = $drawable$$11$$.$_node$.$_desc$;
        null != $DvtTimelineOverviewDefaults$$ && this.$getCtx$().$getTooltipManager$().$showDatatip$($event$$593_isSelected$$3_itemId$$5$$.pageX, $event$$593_isSelected$$3_itemId$$5$$.pageY, $DvtTimelineOverviewDefaults$$, "#000000");
        this.$isFlashEnvironment$() && this.setCursor("pointer");
      }
      if (this.$isItemSelectionEnabled$()) {
        $event$$593_isSelected$$3_itemId$$5$$ = !1;
        if (null != this.$_selectedMarkers$) {
          for ($DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < this.$_selectedMarkers$.length;$DvtTimelineOverviewDefaults$$++) {
            if ($drawable$$11$$ == this.$_selectedMarkers$[$DvtTimelineOverviewDefaults$$]) {
              $event$$593_isSelected$$3_itemId$$5$$ = !0;
              break;
            }
          }
        }
        $event$$593_isSelected$$3_itemId$$5$$ || ($event$$593_isSelected$$3_itemId$$5$$ = this.$getItemId$($drawable$$11$$), $DvtTimelineOverviewDefaults$$ = new $dvt$$21$$.$TimelineOverviewEvent$($dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_HIGHLIGHT$), $DvtTimelineOverviewDefaults$$.$setItemId$($event$$593_isSelected$$3_itemId$$5$$), this.dispatchEvent($DvtTimelineOverviewDefaults$$), this.$highlightMarker$($drawable$$11$$));
      }
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$HandleShapeMouseOut$ = function $$dvt$$21$$$$TimelineOverview$$$$HandleShapeMouseOut$$($drawable$$12_event$$594$$) {
    $drawable$$12_event$$594$$ = $dvt$$21$$.$TimelineOverview$.$superclass$.$HandleShapeMouseOut$.call(this, $drawable$$12_event$$594$$);
    if (null != $drawable$$12_event$$594$$ && !this.$isMovable$($drawable$$12_event$$594$$)) {
      this.$getCtx$().$getTooltipManager$().$hideTooltip$();
      var $isSelected$$4_itemId$$6$$ = !1;
      if (null != this.$_selectedMarkers$) {
        for (var $DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < this.$_selectedMarkers$.length;$DvtTimelineOverviewDefaults$$++) {
          if ($drawable$$12_event$$594$$ == this.$_selectedMarkers$[$DvtTimelineOverviewDefaults$$]) {
            $isSelected$$4_itemId$$6$$ = !0;
            break;
          }
        }
      }
      $isSelected$$4_itemId$$6$$ || ($isSelected$$4_itemId$$6$$ = this.$getItemId$($drawable$$12_event$$594$$), $DvtTimelineOverviewDefaults$$ = new $dvt$$21$$.$TimelineOverviewEvent$($dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_UNHIGHLIGHT$), $DvtTimelineOverviewDefaults$$.$setItemId$($isSelected$$4_itemId$$6$$), this.dispatchEvent($DvtTimelineOverviewDefaults$$), this.$unhighlightMarker$($drawable$$12_event$$594$$));
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$HandleShapeClick$ = function $$dvt$$21$$$$TimelineOverview$$$$HandleShapeClick$$($event$$595$$, $drawable$$13_pageX$$9$$, $DvtTimelineOverviewDefaults$$) {
    $drawable$$13_pageX$$9$$ = $dvt$$21$$.$TimelineOverview$.$superclass$.$HandleShapeClick$.call(this, $event$$595$$, $drawable$$13_pageX$$9$$, $DvtTimelineOverviewDefaults$$);
    null != $drawable$$13_pageX$$9$$ && this.$HandleMarkerClick$($drawable$$13_pageX$$9$$, $event$$595$$.ctrlKey || $event$$595$$.shiftKey || $dvt$$21$$.$Agent$.$isTouchDevice$());
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$HandleMarkerClick$ = function $$dvt$$21$$$$TimelineOverview$$$$HandleMarkerClick$$($drawable$$14$$, $isMultiSelect$$2$$) {
    if (this.$isItemSelectionEnabled$()) {
      this.$selectItem$($drawable$$14$$, $isMultiSelect$$2$$);
      var $DvtTimelineOverviewDefaults$$ = $drawable$$14$$.$_node$.getTime();
      if (null != $DvtTimelineOverviewDefaults$$) {
        var $evt$$65$$ = new $dvt$$21$$.$TimelineOverviewEvent$($dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_SCROLL_TIME$);
        $evt$$65$$.setTime($DvtTimelineOverviewDefaults$$);
        this.dispatchEvent($evt$$65$$);
        $DvtTimelineOverviewDefaults$$ = this.$getSlidingWindow$();
        $DvtTimelineOverviewDefaults$$ = this.$isVertical$() ? this.$getX$($drawable$$14$$) - $DvtTimelineOverviewDefaults$$.getHeight() / 2 : this.$getX$($drawable$$14$$) - $DvtTimelineOverviewDefaults$$.getWidth() / 2;
        this.$animateSlidingWindow$($DvtTimelineOverviewDefaults$$);
      }
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$highlightItem$ = function $$dvt$$21$$$$TimelineOverview$$$$highlightItem$$($dvt$$21$$) {
    $dvt$$21$$ = this.$getDrawableById$($dvt$$21$$);
    null != $dvt$$21$$ && this.$highlightMarker$($dvt$$21$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$unhighlightItem$ = function $$dvt$$21$$$$TimelineOverview$$$$unhighlightItem$$($dvt$$21$$) {
    $dvt$$21$$ = this.$getDrawableById$($dvt$$21$$);
    null != $dvt$$21$$ && this.$unhighlightMarker$($dvt$$21$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$highlightMarker$ = function $$dvt$$21$$$$TimelineOverview$$$$highlightMarker$$($drawable$$17$$) {
    if (null != this.$_selectedMarkers$) {
      for (var $i$$715$$ = 0;$i$$715$$ < this.$_selectedMarkers$.length;$i$$715$$++) {
        if ($drawable$$17$$ == this.$_selectedMarkers$[$i$$715$$]) {
          return;
        }
      }
    }
    this.$applyState$($drawable$$17$$, $dvt$$21$$.$TimelineOverview$.$HOVER_STATE$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$unhighlightMarker$ = function $$dvt$$21$$$$TimelineOverview$$$$unhighlightMarker$$($drawable$$18$$) {
    if (null != this.$_selectedMarkers$) {
      for (var $i$$716$$ = 0;$i$$716$$ < this.$_selectedMarkers$.length;$i$$716$$++) {
        if ($drawable$$18$$ == this.$_selectedMarkers$[$i$$716$$]) {
          return;
        }
      }
    }
    this.$applyState$($drawable$$18$$, $dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$selSelectItem$ = function $$dvt$$21$$$$TimelineOverview$$$$selSelectItem$$($dvt$$21$$) {
    $dvt$$21$$ = this.$getDrawableById$($dvt$$21$$);
    null != $dvt$$21$$ && this.$addSelectedMarker$($dvt$$21$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$selUnselectItem$ = function $$dvt$$21$$$$TimelineOverview$$$$selUnselectItem$$($dvt$$21$$) {
    $dvt$$21$$ = this.$getDrawableById$($dvt$$21$$);
    null != $dvt$$21$$ && this.$removeSelectedMarker$($dvt$$21$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$selectItem$ = function $$dvt$$21$$$$TimelineOverview$$$$selectItem$$($drawable$$21$$, $isMultiSelect$$3$$) {
    var $DvtTimelineOverviewDefaults$$ = this.$getItemId$($drawable$$21$$), $evt$$66$$ = new $dvt$$21$$.$TimelineOverviewEvent$($dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_SELECTION$);
    $evt$$66$$.$setItemId$($DvtTimelineOverviewDefaults$$);
    $evt$$66$$.$setMultiSelect$($isMultiSelect$$3$$);
    this.dispatchEvent($evt$$66$$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$addSelectedMarker$ = function $$dvt$$21$$$$TimelineOverview$$$$addSelectedMarker$$($drawable$$22$$) {
    null == this.$_selectedMarkers$ && (this.$_selectedMarkers$ = []);
    var $lastSelectedMarker$$ = null;
    0 < this.$_selectedMarkers$.length && ($lastSelectedMarker$$ = this.$_selectedMarkers$[this.$_selectedMarkers$.length - 1]);
    this.$_selectedMarkers$.push($drawable$$22$$);
    null != $lastSelectedMarker$$ && this.$applyState$($lastSelectedMarker$$, $dvt$$21$$.$TimelineOverview$.$SELECTED_STATE$);
    this.$applyState$($drawable$$22$$, $dvt$$21$$.$TimelineOverview$.$ACTIVE_SELECTED_STATE$);
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$removeSelectedMarker$ = function $$dvt$$21$$$$TimelineOverview$$$$removeSelectedMarker$$($drawable$$23$$) {
    if (null != this.$_selectedMarkers$) {
      for (var $index$$214$$ = -1, $DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < this.$_selectedMarkers$.length;$DvtTimelineOverviewDefaults$$++) {
        if ($drawable$$23$$ == this.$_selectedMarkers$[$DvtTimelineOverviewDefaults$$]) {
          $index$$214$$ = $DvtTimelineOverviewDefaults$$;
          break;
        }
      }
      -1 != $index$$214$$ && (this.$applyState$($drawable$$23$$, $dvt$$21$$.$TimelineOverview$.$ENABLED_STATE$), this.$_selectedMarkers$.splice($index$$214$$, 1));
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$applyState$ = function $$dvt$$21$$$$TimelineOverview$$$$applyState$$($drawable$$25$$, $state$$99$$) {
    if ($drawable$$25$$ instanceof $dvt$$21$$.$SimpleMarker$) {
      var $DvtTimelineOverviewDefaults$$ = !1, $requiresGlowMarker$$ = !1;
      if ("solid" == this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$BORDER_STYLE$)) {
        var $DvtTimelineOverviewDefaults$$ = !0, $borderColor$$49_stroke$$103$$ = this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$BORDER_COLOR$);
        null == $borderColor$$49_stroke$$103$$ && ($borderColor$$49_stroke$$103$$ = "#000000");
        var $DvtTimelineOverviewStyleUtils$$ = this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$GLOW_COLOR$);
        null != $DvtTimelineOverviewStyleUtils$$ && "none" != $DvtTimelineOverviewStyleUtils$$ && ($requiresGlowMarker$$ = !0);
      }
      var $borderMarker$$ = $drawable$$25$$.$_borderMarker$, $DvtTimelineOverviewParser$$ = $drawable$$25$$.$_glowMarker$;
      $DvtTimelineOverviewDefaults$$ || null == $borderMarker$$ ? $requiresGlowMarker$$ || null == $DvtTimelineOverviewParser$$ || (this.removeChild($DvtTimelineOverviewParser$$), $drawable$$25$$.$_glowMarker$ = null) : (this.removeChild($borderMarker$$), $drawable$$25$$.$_borderMarker$ = null, null != $DvtTimelineOverviewParser$$ && (this.removeChild($DvtTimelineOverviewParser$$), $drawable$$25$$.$_glowMarker$ = null));
      var $id$$233_markerType$$1$$ = $drawable$$25$$.$getType$();
      if ($DvtTimelineOverviewDefaults$$) {
        var $DvtTimelineOverviewDefaults$$ = parseInt(this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$BORDER_WIDTH$), 10), $borderOffset$$1$$ = parseInt(this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$BORDER_OFFSET$), 10);
        if (null == $borderMarker$$) {
          if ($id$$233_markerType$$1$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$) {
            this.$isFlashEnvironment$() && ($borderOffset$$1$$ = 0);
            var $width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + 2 * $borderOffset$$1$$) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + 2 * $borderOffset$$1$$) * $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getX$($drawable$$25$$) - $borderOffset$$1$$ + $width$$172$$ / 2, $cy$$38$$ = this.$getY$($drawable$$25$$) - $borderOffset$$1$$ + $height$$141$$ / 2;
          } else {
            this.$isVertical$() ? ($width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + ($DvtTimelineOverviewDefaults$$ + 1)) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + ($DvtTimelineOverviewDefaults$$ + 1)) * $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getY$($drawable$$25$$) - ($DvtTimelineOverviewDefaults$$ + 1) / 2 + $width$$172$$ / 2, $cy$$38$$ = this.$getX$($drawable$$25$$) - ($DvtTimelineOverviewDefaults$$ + 1) / 2 + $height$$141$$ / 
            2) : ($width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + 2 * $borderOffset$$1$$) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + 2 * $borderOffset$$1$$) * $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getX$($drawable$$25$$) - $borderOffset$$1$$ + $width$$172$$ / 2, $cy$$38$$ = this.$getY$($drawable$$25$$) - $borderOffset$$1$$ + $height$$141$$ / 2);
          }
          $borderMarker$$ = new $dvt$$21$$.$SimpleMarker$(this.$getCtx$(), $id$$233_markerType$$1$$, null, $DvtTimelineOverviewNode$$, $cy$$38$$, $width$$172$$, $height$$141$$, null, null, null, $drawable$$25$$.getId() + "_border");
          this.$addChildAt$($borderMarker$$, this.$getChildIndex$($drawable$$25$$));
          $drawable$$25$$.$_borderMarker$ = $borderMarker$$;
          $borderMarker$$.$setFill$(this.$_markerBorderFill$);
        }
        $borderColor$$49_stroke$$103$$ = new $dvt$$21$$.$SolidStroke$($borderColor$$49_stroke$$103$$, this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$BORDER_OPACITY$), $DvtTimelineOverviewDefaults$$);
        $borderMarker$$.$setStroke$($borderColor$$49_stroke$$103$$);
        !this.$isVertical$() && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$RECTANGLE$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$DIAMOND$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_UP$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_DOWN$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$PLUS$ || "false" == this.$_defaultMarkerStyles$.$pixelHinting$ || $borderMarker$$.$setPixelHinting$();
        $requiresGlowMarker$$ && (null == $DvtTimelineOverviewParser$$ && ($DvtTimelineOverviewParser$$ = $borderOffset$$1$$ - $DvtTimelineOverviewDefaults$$, $id$$233_markerType$$1$$ == $dvt$$21$$.$SimpleMarker$.$CIRCLE$ ? (this.$isFlashEnvironment$() && ($DvtTimelineOverviewParser$$ = 0), $width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + 2 * $DvtTimelineOverviewParser$$) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + 2 * $DvtTimelineOverviewParser$$) * 
        $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getX$($drawable$$25$$) - $DvtTimelineOverviewParser$$ + $width$$172$$ / 2, $cy$$38$$ = this.$getY$($drawable$$25$$) - $DvtTimelineOverviewParser$$ + $height$$141$$ / 2) : this.$isVertical$() ? ($width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + 3) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + 3) * $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getY$($drawable$$25$$) + 
        $width$$172$$ / 2, $cy$$38$$ = this.$getX$($drawable$$25$$) - 1 + $height$$141$$ / 2) : ($width$$172$$ = ($drawable$$25$$.$getDimensions$().$w$ + 2 * $DvtTimelineOverviewParser$$) * $drawable$$25$$.$getScaleX$(), $height$$141$$ = ($drawable$$25$$.$getDimensions$().$h$ + 2 * $DvtTimelineOverviewParser$$) * $drawable$$25$$.$getScaleY$(), $DvtTimelineOverviewNode$$ = this.$getX$($drawable$$25$$) - $DvtTimelineOverviewParser$$ + $width$$172$$ / 2, $cy$$38$$ = this.$getY$($drawable$$25$$) - $DvtTimelineOverviewParser$$ + 
        $height$$141$$ / 2), $DvtTimelineOverviewParser$$ = new $dvt$$21$$.$SimpleMarker$(this.$getCtx$(), $id$$233_markerType$$1$$, null, $DvtTimelineOverviewNode$$, $cy$$38$$, $width$$172$$, $height$$141$$, null, null, null, $drawable$$25$$.getId() + "_glow"), this.$addChildAt$($DvtTimelineOverviewParser$$, this.$getChildIndex$($borderMarker$$)), $drawable$$25$$.$_glowMarker$ = $DvtTimelineOverviewParser$$, $DvtTimelineOverviewParser$$.$setFill$(this.$_markerBorderFill$)), $DvtTimelineOverviewStyleUtils$$ = 
        new $dvt$$21$$.$SolidStroke$($DvtTimelineOverviewStyleUtils$$, this.$getStyle$($state$$99$$, $dvt$$21$$.$TimelineOverview$.$GLOW_OPACITY$), 4), $DvtTimelineOverviewParser$$.$setStroke$($DvtTimelineOverviewStyleUtils$$), !this.$isVertical$() && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$RECTANGLE$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$DIAMOND$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_UP$ && $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$TRIANGLE_DOWN$ && 
        $id$$233_markerType$$1$$ != $dvt$$21$$.$SimpleMarker$.$PLUS$ || "false" == this.$_defaultMarkerStyles$.$pixelHinting$ || $DvtTimelineOverviewParser$$.$setPixelHinting$());
      }
    } else {
      ($id$$233_markerType$$1$$ = $drawable$$25$$.getId()) && "_drn_" == $id$$233_markerType$$1$$.substring(0, 5) && this.$applyDurationState$($drawable$$25$$, $state$$99$$);
    }
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$applyDurationState$ = function $$dvt$$21$$$$TimelineOverview$$$$applyDurationState$$($drawable$$26$$, $state$$100$$) {
    var $DvtTimelineOverviewDefaults$$ = this.$getStyle$($state$$100$$, $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_COLOR$);
    null == $DvtTimelineOverviewDefaults$$ && ($DvtTimelineOverviewDefaults$$ = "#000000");
    var $width$$173$$ = parseInt(this.$getStyle$($state$$100$$, $dvt$$21$$.$TimelineOverview$.$DURATION_BORDER_WIDTH$), 10);
    $drawable$$26$$.$setStroke$(new $dvt$$21$$.$SolidStroke$($DvtTimelineOverviewDefaults$$, 1, $width$$173$$));
  };
  $dvt$$21$$.$TimelineOverview$.prototype.$getAutomation$ = function $$dvt$$21$$$$TimelineOverview$$$$getAutomation$$() {
    this.$_Automation$ || (this.$_Automation$ = new $DvtTimelineOverviewAutomation$$(this));
    return this.$_Automation$;
  };
  $dvt$$21$$.$Obj$.$createSubclass$($DvtTimelineOverviewDefaults$$, $dvt$$21$$.$BaseComponentDefaults$);
  $DvtTimelineOverviewDefaults$$.$VERSION_1$ = {overviewPosition:"below", style:{borderTopStyle:"none", currentTimeIndicatorColor:"#c000d1", handleFillColor:"#ffffff", handleTextureColor:"#b3c6db", leftFilterPanelAlpha:.7, leftFilterPanelColor:"#ffffff", overviewBackgroundColor:"#e6ecf3", rightFilterPanelAlpha:.7, rightFilterPanelColor:"#ffffff", timeAxisBarColor:"#d9dfe3", timeAxisBarAlpha:0, timeIndicatorColor:"#bcc7d2", windowBackgroundAlpha:1, windowBackgroundColor:"#ffffff", windowBorderBottomColor:"#4f4f4f", 
  windowBorderBottomStyle:"solid", windowBorderLeftColor:"#4f4f4f", windowBorderLeftStyle:"solid", windowBorderRightColor:"#4f4f4f", windowBorderRightStyle:"solid", windowBorderTopColor:"#4f4f4f", windowBorderTopStyle:"solid"}, _fc:"#aadd77", _do:0, _bc:"#648baf", _bof:"0px", _bs:"solid", _bw:"1px", _dbc:"#648baf", _dbs:"solid", _dbw:"1px", _hbc:"#85bbe7", _hbs:"solid", _hbw:"2px", _hbof:"0px", _hgc:"#ebeced", _hgo:1, _hdbs:"solid", _hdbc:"#85bbe7", _hdbw:"2px", _sbs:"solid", _sbc:"#000000", _sbw:"2px", 
  _sbof:"0px", _sbo:1, _sdbs:"solid", _sdbc:"#000000", _sdbw:"2px", _asbs:"solid", _asbc:"#000000", _asbw:"2px", _asbof:"0px", _asbo:1, _asgc:"#e4f0fa", _asgo:1, _asdbs:"solid", _asdbc:"#000000", _asdbw:"2px", _aoc:"off"};
  $dvt$$21$$.$Obj$.$createSubclass$($DvtTimelineOverviewParser$$, $dvt$$21$$.$OverviewParser$);
  $DvtTimelineOverviewParser$$.prototype.Init = function $$DvtTimelineOverviewParser$$$$Init$($overview$$3$$) {
    this.$_view$ = $overview$$3$$;
    this.$_parser$ = new $dvt$$21$$.$XmlParser$($overview$$3$$.$getCtx$());
  };
  $DvtTimelineOverviewParser$$.prototype.parse = function $$DvtTimelineOverviewParser$$$$parse$($dvt$$21$$) {
    var $ret$$72$$ = this.$ParseRootAttributes$($dvt$$21$$);
    $ret$$72$$.$timeAxisInfo$ = this.$_parseTimeAxis$($dvt$$21$$.axisTicks);
    $ret$$72$$.$markers$ = this.$_parseDataNode$($dvt$$21$$.markers, $ret$$72$$.$defaultMarkerStyles$);
    $ret$$72$$.$formattedTimeRanges$ = $dvt$$21$$.formattedTimeRanges;
    return $ret$$72$$;
  };
  $DvtTimelineOverviewParser$$.prototype.$ParseRootAttributes$ = function $$DvtTimelineOverviewParser$$$$$ParseRootAttributes$$($dvt$$21$$) {
    var $ret$$73$$ = $DvtTimelineOverviewParser$$.$superclass$.$ParseRootAttributes$.call(this, $dvt$$21$$);
    $ret$$73$$.start = parseInt($dvt$$21$$.start);
    $ret$$73$$.end = parseInt($dvt$$21$$.end);
    $ret$$73$$.width = parseInt($dvt$$21$$.width);
    $ret$$73$$.$renderStart$ = parseInt($dvt$$21$$.renstart);
    $ret$$73$$.currentTime = parseInt($dvt$$21$$.ocd);
    $ret$$73$$.orientation = $dvt$$21$$.orn;
    $ret$$73$$.$selectionMode$ = $dvt$$21$$.selmode;
    $ret$$73$$.$isRtl$ = $dvt$$21$$.rtl.toString();
    $ret$$73$$.$seriesIds$ = $dvt$$21$$.sid;
    $ret$$73$$.$animationOnClick$ = $dvt$$21$$._aoc;
    var $DvtTimelineOverviewDefaults$$ = {};
    $DvtTimelineOverviewDefaults$$.shape = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerShape$($dvt$$21$$);
    $DvtTimelineOverviewDefaults$$.$scaleX$ = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerScaleX$($dvt$$21$$);
    $DvtTimelineOverviewDefaults$$.$scaleY$ = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerScaleY$($dvt$$21$$);
    $DvtTimelineOverviewDefaults$$.opacity = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerOpacity$($dvt$$21$$);
    $DvtTimelineOverviewDefaults$$.color = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerFillColor$($dvt$$21$$);
    $DvtTimelineOverviewDefaults$$.$pixelHinting$ = $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerPixelHinting$($dvt$$21$$);
    $ret$$73$$.$defaultMarkerStyles$ = $DvtTimelineOverviewDefaults$$;
    $ret$$73$$.$labelStyle$ = $dvt$$21$$._ls;
    return $ret$$73$$;
  };
  $DvtTimelineOverviewParser$$.prototype.$_parseDataNode$ = function $$DvtTimelineOverviewParser$$$$$_parseDataNode$$($dvt$$21$$, $defaultMarkerStyles$$1$$) {
    if ($dvt$$21$$) {
      for (var $DvtTimelineOverviewDefaults$$ = [], $i$$723$$ = 0;$i$$723$$ < $dvt$$21$$.length;$i$$723$$++) {
        var $props$$27_treeNode$$1$$ = this.$ParseNodeAttributes$($dvt$$21$$[$i$$723$$], $defaultMarkerStyles$$1$$), $props$$27_treeNode$$1$$ = new $DvtTimelineOverviewNode$$(this.$_view$, $props$$27_treeNode$$1$$);
        $DvtTimelineOverviewDefaults$$.push($props$$27_treeNode$$1$$);
      }
      return $DvtTimelineOverviewDefaults$$;
    }
    return null;
  };
  $DvtTimelineOverviewParser$$.prototype.$ParseNodeAttributes$ = function $$DvtTimelineOverviewParser$$$$$ParseNodeAttributes$$($dvt$$21$$, $defaultMarkerStyles$$2$$) {
    var $DvtTimelineOverviewDefaults$$ = {}, $useSkinningDefaults$$ = "true" == $dvt$$21$$._sd;
    $DvtTimelineOverviewDefaults$$.id = $dvt$$21$$.tid;
    $DvtTimelineOverviewDefaults$$.$rowKey$ = $dvt$$21$$.rk;
    $DvtTimelineOverviewDefaults$$.time = $dvt$$21$$.t;
    $DvtTimelineOverviewDefaults$$.endTime = $dvt$$21$$.et;
    $DvtTimelineOverviewDefaults$$.shape = $dvt$$21$$.s;
    $useSkinningDefaults$$ && null == $DvtTimelineOverviewDefaults$$.shape && ($DvtTimelineOverviewDefaults$$.shape = $defaultMarkerStyles$$2$$.shape);
    $DvtTimelineOverviewDefaults$$.$desc$ = $dvt$$21$$.d;
    $DvtTimelineOverviewDefaults$$.color = $dvt$$21$$.c;
    $DvtTimelineOverviewDefaults$$.$durationFillColor$ = $dvt$$21$$.dfc;
    $useSkinningDefaults$$ && null == $DvtTimelineOverviewDefaults$$.color && ($DvtTimelineOverviewDefaults$$.color = $defaultMarkerStyles$$2$$.color);
    $DvtTimelineOverviewDefaults$$.$scaleX$ = $dvt$$21$$.sx;
    $useSkinningDefaults$$ && null == $DvtTimelineOverviewDefaults$$.$scaleX$ && ($DvtTimelineOverviewDefaults$$.$scaleX$ = $defaultMarkerStyles$$2$$.$scaleX$);
    $DvtTimelineOverviewDefaults$$.$scaleY$ = $dvt$$21$$.sy;
    $useSkinningDefaults$$ && null == $DvtTimelineOverviewDefaults$$.$scaleY$ && ($DvtTimelineOverviewDefaults$$.$scaleY$ = $defaultMarkerStyles$$2$$.$scaleY$);
    $DvtTimelineOverviewDefaults$$.$gradient$ = $dvt$$21$$.g;
    $DvtTimelineOverviewDefaults$$.opacity = $dvt$$21$$.o;
    $useSkinningDefaults$$ && null == $DvtTimelineOverviewDefaults$$.opacity && ($DvtTimelineOverviewDefaults$$.opacity = $defaultMarkerStyles$$2$$.opacity);
    return $DvtTimelineOverviewDefaults$$;
  };
  $DvtTimelineOverviewParser$$.prototype.$_parseTimeAxis$ = function $$DvtTimelineOverviewParser$$$$$_parseTimeAxis$$($dvt$$21$$) {
    if ($dvt$$21$$) {
      var $ret$$75$$ = {width:null, height:null};
      $ret$$75$$.$ticks$ = $dvt$$21$$;
      return $ret$$75$$;
    }
    return null;
  };
  $dvt$$21$$.$Obj$.$createSubclass$($DvtTimelineOverviewNode$$, $dvt$$21$$.$Obj$);
  $DvtTimelineOverviewNode$$.prototype.Init = function $$DvtTimelineOverviewNode$$$$Init$($overview$$5$$, $props$$29$$) {
    this.$_view$ = $overview$$5$$;
    this.$_id$ = $props$$29$$.id;
    this.$_time$ = parseInt($props$$29$$.time);
    this.$_endTime$ = null == $props$$29$$.endTime ? null : parseInt($props$$29$$.endTime);
    this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$CIRCLE$;
    "square" == $props$$29$$.shape ? this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$RECTANGLE$ : "plus" == $props$$29$$.shape ? this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$PLUS$ : "diamond" == $props$$29$$.shape ? this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$DIAMOND$ : "triangleUp" == $props$$29$$.shape ? this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$TRIANGLE_UP$ : "triangleDown" == $props$$29$$.shape && (this.$_shape$ = $dvt$$21$$.$SimpleMarker$.$TRIANGLE_DOWN$);
    this.$_desc$ = $props$$29$$.$desc$;
    this.$_color$ = $props$$29$$.color;
    this.$_gradient$ = $props$$29$$.$gradient$;
    null != $props$$29$$.opacity && (this.$_opacity$ = parseFloat($props$$29$$.opacity));
    null != $props$$29$$.$scaleX$ && (this.$_scaleX$ = parseFloat($props$$29$$.$scaleX$));
    null != $props$$29$$.$scaleY$ && (this.$_scaleY$ = parseFloat($props$$29$$.$scaleY$));
    null != $props$$29$$.$durationFillColor$ && (this.$_durationFillColor$ = $props$$29$$.$durationFillColor$);
  };
  $DvtTimelineOverviewNode$$.prototype.getId = function $$DvtTimelineOverviewNode$$$$getId$() {
    return this.$_id$;
  };
  $DvtTimelineOverviewNode$$.prototype.getTime = function $$DvtTimelineOverviewNode$$$$getTime$() {
    return this.$_time$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getEndTime$ = function $$DvtTimelineOverviewNode$$$$$getEndTime$$() {
    return this.$_endTime$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getScaleX$ = function $$DvtTimelineOverviewNode$$$$$getScaleX$$() {
    return this.$_scaleX$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getScaleY$ = function $$DvtTimelineOverviewNode$$$$$getScaleY$$() {
    return this.$_scaleY$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getColor$ = function $$DvtTimelineOverviewNode$$$$$getColor$$() {
    return this.$_color$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getShape$ = function $$DvtTimelineOverviewNode$$$$$getShape$$() {
    return this.$_shape$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getOpacity$ = function $$DvtTimelineOverviewNode$$$$$getOpacity$$() {
    return this.$_opacity$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getDisplayable$ = function $$DvtTimelineOverviewNode$$$$$getDisplayable$$() {
    return this.$_displayable$;
  };
  $DvtTimelineOverviewNode$$.prototype.$setDisplayable$ = function $$DvtTimelineOverviewNode$$$$$setDisplayable$$($dvt$$21$$) {
    this.$_displayable$ = $dvt$$21$$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getX$ = function $$DvtTimelineOverviewNode$$$$$getX$$() {
    return this.$_x$;
  };
  $DvtTimelineOverviewNode$$.prototype.$setX$ = function $$DvtTimelineOverviewNode$$$$$setX$$($dvt$$21$$) {
    this.$_x$ = $dvt$$21$$;
  };
  $DvtTimelineOverviewNode$$.prototype.$getY$ = function $$DvtTimelineOverviewNode$$$$$getY$$() {
    return this.$_y$;
  };
  $DvtTimelineOverviewNode$$.prototype.$setY$ = function $$DvtTimelineOverviewNode$$$$$setY$$($dvt$$21$$) {
    this.$_y$ = $dvt$$21$$;
  };
  $dvt$$21$$.$TimelineOverviewEvent$ = function $$dvt$$21$$$$TimelineOverviewEvent$$($type$$209$$) {
    this.Init($dvt$$21$$.$TimelineOverviewEvent$.$TYPE$);
    this.$_subtype$ = $type$$209$$;
  };
  $dvt$$21$$.$Obj$.$createSubclass$($dvt$$21$$.$TimelineOverviewEvent$, $dvt$$21$$.$OverviewEvent$);
  $dvt$$21$$.$TimelineOverviewEvent$.$TYPE$ = "timeline";
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_HIGHLIGHT$ = "highlight";
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_UNHIGHLIGHT$ = "unhighlight";
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_SELECTION$ = "selection";
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_SCROLL_TIME$ = $dvt$$21$$.$OverviewEvent$.$SUBTYPE_SCROLL_TIME$;
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_SCROLL_POS$ = $dvt$$21$$.$OverviewEvent$.$SUBTYPE_SCROLL_POS$;
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_RANGECHANGE$ = $dvt$$21$$.$OverviewEvent$.$SUBTYPE_RANGECHANGE$;
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_RANGECHANGING$ = "rangeChanging";
  $dvt$$21$$.$TimelineOverviewEvent$.$SUBTYPE_DROPCALLBACK$ = $dvt$$21$$.$OverviewEvent$.$SUBTYPE_PRE_RANGECHANGE$;
  $dvt$$21$$.$TimelineOverviewEvent$.$ITEM_ID_KEY$ = "itemId";
  $dvt$$21$$.$TimelineOverviewEvent$.$MULTI_SELECT_KEY$ = "multiSelect";
  $dvt$$21$$.$TimelineOverviewEvent$.$START_POS$ = $dvt$$21$$.$OverviewEvent$.$START_POS$;
  $dvt$$21$$.$TimelineOverviewEvent$.$END_POS$ = $dvt$$21$$.$OverviewEvent$.$END_POS$;
  $dvt$$21$$.$TimelineOverviewEvent$.prototype.$setItemId$ = function $$dvt$$21$$$$TimelineOverviewEvent$$$$setItemId$$($itemId$$14$$) {
    this.$addParam$($dvt$$21$$.$TimelineOverviewEvent$.$ITEM_ID_KEY$, $itemId$$14$$);
  };
  $dvt$$21$$.$TimelineOverviewEvent$.prototype.$getItemId$ = function $$dvt$$21$$$$TimelineOverviewEvent$$$$getItemId$$() {
    return this.$getParamValue$($dvt$$21$$.$TimelineOverviewEvent$.$ITEM_ID_KEY$);
  };
  $dvt$$21$$.$TimelineOverviewEvent$.prototype.$setMultiSelect$ = function $$dvt$$21$$$$TimelineOverviewEvent$$$$setMultiSelect$$($isMultiSelect$$4$$) {
    this.$addParam$($dvt$$21$$.$TimelineOverviewEvent$.$MULTI_SELECT_KEY$, $isMultiSelect$$4$$);
  };
  $dvt$$21$$.$TimelineOverviewEvent$.prototype.$isMultiSelect$ = function $$dvt$$21$$$$TimelineOverviewEvent$$$$isMultiSelect$$() {
    var $isMultiSelect$$5$$ = this.$getParamValue$($dvt$$21$$.$TimelineOverviewEvent$.$MULTI_SELECT_KEY$);
    return null != $isMultiSelect$$5$$ ? $isMultiSelect$$5$$ : !1;
  };
  var $DvtTimelineOverviewStyleUtils$$ = {};
  $dvt$$21$$.$Obj$.$createSubclass$($DvtTimelineOverviewStyleUtils$$, $dvt$$21$$.$Obj$);
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerShape$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerShape$$($dvt$$21$$) {
    return $dvt$$21$$._ds;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerScaleX$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerScaleX$$($dvt$$21$$) {
    return $dvt$$21$$._dsx;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerScaleY$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerScaleY$$($dvt$$21$$) {
    return $dvt$$21$$._dsy;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerOpacity$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerOpacity$$($dvt$$21$$) {
    return $dvt$$21$$._do;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerFillColor$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerFillColor$$($dvt$$21$$) {
    return $dvt$$21$$._fc;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerPixelHinting$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerPixelHinting$$($dvt$$21$$) {
    return $dvt$$21$$._ph;
  };
  $DvtTimelineOverviewStyleUtils$$.$getDefaultMarkerBorderStyles$ = function $$DvtTimelineOverviewStyleUtils$$$$getDefaultMarkerBorderStyles$$($dvt$$21$$) {
    var $borderStyles$$ = {};
    $borderStyles$$._bs = $dvt$$21$$._bs;
    $borderStyles$$._bc = $dvt$$21$$._bc;
    $borderStyles$$._bw = $dvt$$21$$._bw;
    $borderStyles$$._bof = $dvt$$21$$._bof;
    $borderStyles$$._bo = $dvt$$21$$._bo;
    $borderStyles$$._gc = $dvt$$21$$._gc;
    $borderStyles$$._go = $dvt$$21$$._go;
    $borderStyles$$._dbs = $dvt$$21$$._dbs;
    $borderStyles$$._dbc = $dvt$$21$$._dbc;
    $borderStyles$$._dbw = $dvt$$21$$._dbw;
    $borderStyles$$._hbs = $dvt$$21$$._hbs;
    $borderStyles$$._hbc = $dvt$$21$$._hbc;
    $borderStyles$$._hbw = $dvt$$21$$._hbw;
    $borderStyles$$._hbof = $dvt$$21$$._hbof;
    $borderStyles$$._hbo = $dvt$$21$$._hbo;
    $borderStyles$$._hgc = $dvt$$21$$._hgc;
    $borderStyles$$._hgo = $dvt$$21$$._hgo;
    $borderStyles$$._hdbs = $dvt$$21$$._hdbs;
    $borderStyles$$._hdbc = $dvt$$21$$._hdbc;
    $borderStyles$$._hdbw = $dvt$$21$$._hdbw;
    $borderStyles$$._sbs = $dvt$$21$$._sbs;
    $borderStyles$$._sbc = $dvt$$21$$._sbc;
    $borderStyles$$._sbw = $dvt$$21$$._sbw;
    $borderStyles$$._sbof = $dvt$$21$$._sbof;
    $borderStyles$$._sbo = $dvt$$21$$._sbo;
    $borderStyles$$._sgc = $dvt$$21$$._sgc;
    $borderStyles$$._sgo = $dvt$$21$$._sgo;
    $borderStyles$$._sdbs = $dvt$$21$$._sdbs;
    $borderStyles$$._sdbc = $dvt$$21$$._sdbc;
    $borderStyles$$._sdbw = $dvt$$21$$._sdbw;
    $borderStyles$$._asbs = $dvt$$21$$._asbs;
    $borderStyles$$._asbc = $dvt$$21$$._asbc;
    $borderStyles$$._asbw = $dvt$$21$$._asbw;
    $borderStyles$$._asbof = $dvt$$21$$._asbof;
    $borderStyles$$._asbo = $dvt$$21$$._asbo;
    $borderStyles$$._asgc = $dvt$$21$$._asgc;
    $borderStyles$$._asgo = $dvt$$21$$._asgo;
    $borderStyles$$._asdbs = $dvt$$21$$._asdbs;
    $borderStyles$$._asdbc = $dvt$$21$$._asdbc;
    $borderStyles$$._asdbw = $dvt$$21$$._asdbw;
    return $borderStyles$$;
  };
  $dvt$$21$$.$Obj$.$createSubclass$($DvtTimelineOverviewAutomation$$, $dvt$$21$$.$Automation$);
  $DvtTimelineOverviewAutomation$$.$NODE_ID_PREFIX$ = "marker";
  $DvtTimelineOverviewAutomation$$.$WINDOW_ID$ = "range_window";
  $DvtTimelineOverviewAutomation$$.$START_HANDLE_ID$ = "range_start_handle";
  $DvtTimelineOverviewAutomation$$.$END_HANDLE_ID$ = "range_end_handle";
  $DvtTimelineOverviewAutomation$$.$AUTOMATION_NO_EVENT$ = -1;
  $DvtTimelineOverviewAutomation$$.$AUTOMATION_MOUSE_CLICK$ = 0;
  $DvtTimelineOverviewAutomation$$.prototype.$GetSubIdForDomElement$ = function $$DvtTimelineOverviewAutomation$$$$$GetSubIdForDomElement$$($arr$$13_displayable$$95_prev$$1$$) {
    var $id$$234_seriesIds$$1_seriesIndex$$147$$ = $arr$$13_displayable$$95_prev$$1$$.getId();
    if ($arr$$13_displayable$$95_prev$$1$$ instanceof $dvt$$21$$.$SimpleMarker$) {
      $arr$$13_displayable$$95_prev$$1$$ = $id$$234_seriesIds$$1_seriesIndex$$147$$.split(":");
      if (4 != $arr$$13_displayable$$95_prev$$1$$.length) {
        return null;
      }
      $id$$234_seriesIds$$1_seriesIndex$$147$$ = this.$_overview$.$getSeriesIds$();
      if (null != $id$$234_seriesIds$$1_seriesIndex$$147$$ && ($id$$234_seriesIds$$1_seriesIndex$$147$$ = $dvt$$21$$.$ArrayUtils$.$getIndex$($id$$234_seriesIds$$1_seriesIndex$$147$$, $arr$$13_displayable$$95_prev$$1$$[1]), -1 < $id$$234_seriesIds$$1_seriesIndex$$147$$)) {
        return "marker[" + $id$$234_seriesIds$$1_seriesIndex$$147$$ + "][" + $arr$$13_displayable$$95_prev$$1$$[2] + "]";
      }
    } else {
      if ("window" == $id$$234_seriesIds$$1_seriesIndex$$147$$) {
        return $DvtTimelineOverviewAutomation$$.$WINDOW_ID$;
      }
      if ("lh" == $id$$234_seriesIds$$1_seriesIndex$$147$$ || "lhb" == $id$$234_seriesIds$$1_seriesIndex$$147$$ || "lbgrh" == $id$$234_seriesIds$$1_seriesIndex$$147$$) {
        return $DvtTimelineOverviewAutomation$$.$START_HANDLE_ID$;
      }
      if ("rh" == $id$$234_seriesIds$$1_seriesIndex$$147$$ || "rhb" == $id$$234_seriesIds$$1_seriesIndex$$147$$ || "rbgrh" == $id$$234_seriesIds$$1_seriesIndex$$147$$) {
        return $DvtTimelineOverviewAutomation$$.$END_HANDLE_ID$;
      }
      if ("grpy" == $id$$234_seriesIds$$1_seriesIndex$$147$$) {
        return $arr$$13_displayable$$95_prev$$1$$ = $arr$$13_displayable$$95_prev$$1$$.getParent().$getChildBefore$($arr$$13_displayable$$95_prev$$1$$), this.$GetSubIdForDomElement$($arr$$13_displayable$$95_prev$$1$$);
      }
    }
    return null;
  };
  $DvtTimelineOverviewAutomation$$.prototype.$getDomElementForSubId$ = function $$DvtTimelineOverviewAutomation$$$$$getDomElementForSubId$$($dvt$$21$$) {
    var $marker$$35_subIdArray$$ = $DvtTimelineOverviewAutomation$$.$_convertSubIdToArray$($dvt$$21$$);
    if ($marker$$35_subIdArray$$ && 3 == $marker$$35_subIdArray$$.length && $marker$$35_subIdArray$$[0] == $DvtTimelineOverviewAutomation$$.$NODE_ID_PREFIX$) {
      if ($dvt$$21$$ = this.$_overview$.$getSeriesIds$(), null != $dvt$$21$$) {
        var $DvtTimelineOverviewDefaults$$ = parseInt($marker$$35_subIdArray$$[1], 10);
        if (-1 < $DvtTimelineOverviewDefaults$$ && $DvtTimelineOverviewDefaults$$ < $dvt$$21$$.length) {
          return ($marker$$35_subIdArray$$ = $DvtTimelineOverviewAutomation$$.$_findMarker$(this.$_overview$.$_markers$, $dvt$$21$$[$DvtTimelineOverviewDefaults$$], $marker$$35_subIdArray$$[2])) ? $marker$$35_subIdArray$$.$getDisplayable$().$getElem$() : null;
        }
      }
    } else {
      if ($dvt$$21$$ == $DvtTimelineOverviewAutomation$$.$WINDOW_ID$) {
        return this.$_overview$.$getSlidingWindow$().$getElem$();
      }
      if ($dvt$$21$$ == $DvtTimelineOverviewAutomation$$.$START_HANDLE_ID$) {
        return this.$_overview$.$getLeftHandle$().$getElem$();
      }
      if ($dvt$$21$$ == $DvtTimelineOverviewAutomation$$.$END_HANDLE_ID$) {
        return this.$_overview$.$getRightHandle$().$getElem$();
      }
    }
    return null;
  };
  $DvtTimelineOverviewAutomation$$.prototype.click = function $$DvtTimelineOverviewAutomation$$$$click$($dvt$$21$$) {
    this.$processSubId$($dvt$$21$$, $DvtTimelineOverviewAutomation$$.$AUTOMATION_MOUSE_CLICK$);
  };
  $DvtTimelineOverviewAutomation$$.prototype.$processSubId$ = function $$DvtTimelineOverviewAutomation$$$$$processSubId$$($dvt$$21$$, $event$$596$$) {
    void 0 === $event$$596$$ && ($event$$596$$ = $DvtTimelineOverviewAutomation$$.$AUTOMATION_NO_EVENT$);
    if (null != $dvt$$21$$ && $event$$596$$ != $DvtTimelineOverviewAutomation$$.$AUTOMATION_NO_EVENT$ && $event$$596$$ == $DvtTimelineOverviewAutomation$$.$AUTOMATION_MOUSE_CLICK$) {
      var $DvtTimelineOverviewDefaults$$ = $DvtTimelineOverviewAutomation$$.$_convertSubIdToArray$($dvt$$21$$);
      $DvtTimelineOverviewDefaults$$ && 3 == $DvtTimelineOverviewDefaults$$.length && $DvtTimelineOverviewDefaults$$[0] == $DvtTimelineOverviewAutomation$$.$NODE_ID_PREFIX$ && ($DvtTimelineOverviewDefaults$$ = $DvtTimelineOverviewAutomation$$.$_findMarker$(this.$_overview$.$_markers$, $DvtTimelineOverviewDefaults$$[1], $DvtTimelineOverviewDefaults$$[2])) && this.$_overview$.$HandleMarkerClick$($DvtTimelineOverviewDefaults$$.$getDisplayable$(), !1);
    }
  };
  $DvtTimelineOverviewAutomation$$.$_convertSubIdToArray$ = function $$DvtTimelineOverviewAutomation$$$$_convertSubIdToArray$$($dvt$$21$$) {
    $dvt$$21$$ = $dvt$$21$$.split("[");
    for (var $len$$19$$ = $dvt$$21$$.length, $DvtTimelineOverviewDefaults$$ = 1;$DvtTimelineOverviewDefaults$$ < $len$$19$$;$DvtTimelineOverviewDefaults$$++) {
      var $elem$$16_tempId$$ = $dvt$$21$$[$DvtTimelineOverviewDefaults$$], $elem$$16_tempId$$ = $elem$$16_tempId$$.substr(0, $elem$$16_tempId$$.length - 1), $tempIdAsNumber$$ = parseFloat($elem$$16_tempId$$), $elem$$16_tempId$$ = isNaN($tempIdAsNumber$$) ? $elem$$16_tempId$$ : $tempIdAsNumber$$;
      $dvt$$21$$[$DvtTimelineOverviewDefaults$$] = $elem$$16_tempId$$;
    }
    return $dvt$$21$$;
  };
  $DvtTimelineOverviewAutomation$$.$_findMarker$ = function $$DvtTimelineOverviewAutomation$$$$_findMarker$$($dvt$$21$$, $markerId$$3_seriesId$$1$$, $DvtTimelineOverviewDefaults$$) {
    $markerId$$3_seriesId$$1$$ = "tl1:" + $markerId$$3_seriesId$$1$$ + ":" + $DvtTimelineOverviewDefaults$$ + ":";
    for ($DvtTimelineOverviewDefaults$$ = 0;$DvtTimelineOverviewDefaults$$ < $dvt$$21$$.length;$DvtTimelineOverviewDefaults$$++) {
      var $marker$$36$$ = $dvt$$21$$[$DvtTimelineOverviewDefaults$$], $id$$235$$ = $marker$$36$$.getId();
      if (null != $id$$235$$ && 0 == $id$$235$$.indexOf($markerId$$3_seriesId$$1$$)) {
        return $marker$$36$$;
      }
    }
    return null;
  };
  $dvt$$21$$.$exportProperty$($dvt$$21$$, "TimelineOverview", $dvt$$21$$.$TimelineOverview$);
  $dvt$$21$$.$exportProperty$($dvt$$21$$.$TimelineOverview$, "newInstance", $dvt$$21$$.$TimelineOverview$.newInstance);
  $dvt$$21$$.$exportProperty$($dvt$$21$$.$TimelineOverview$.prototype, "render", $dvt$$21$$.$TimelineOverview$.prototype.$render$);
  $dvt$$21$$.$exportProperty$($dvt$$21$$.$TimelineOverview$.prototype, "getAutomation", $dvt$$21$$.$TimelineOverview$.prototype.$getAutomation$);
  $dvt$$21$$.$exportProperty$($dvt$$21$$.$TimelineOverview$.prototype, "getDurationColorMap", $dvt$$21$$.$TimelineOverview$.prototype.$getDurationColorMap$);
  $dvt$$21$$.$exportProperty$($DvtTimelineOverviewAutomation$$.prototype, "getDomElementForSubId", $DvtTimelineOverviewAutomation$$.prototype.$getDomElementForSubId$);
})(dvt);
